/*
 * Copyright (c) 2010 Paul Jungwirth.
 * Licensed under the Apache License, Version 2.0:
 * http://www.apache.org/licenses/LICENSE-2.0.html
 */

package com.illuminated.encc;

public class OutputNamingException extends Exception {
	
	private String _key;
	private Object[] _params;

	public OutputNamingException(String key) {
		super(key);
		_key = key;
	}

	public OutputNamingException(String key, Object... params) {
		super(key);
		_key = key;
		_params = params;
	}

	public String getErrorKey() { return _key; }
	public Object[] getErrorParams() { return _params; }

}
